package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_ebs_api
 * 
 * @author wms
 * @date 2022-08-25
 */
@TableName("t_ebs_api")
public class TEbsApi extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 请求地址 */
    @Excel(name = "请求地址")
    @TableField("url")
    private String url;

    /** 接口描述 */
    @Excel(name = "接口描述")
    @TableField("apiName")
    private String apiname;

    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setApiname(String apiname) 
    {
        this.apiname = apiname;
    }

    public String getApiname() 
    {
        return apiname;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("url", getUrl())
            .append("apiname", getApiname())
            .toString();
    }
}
